package com.iamberry.wechat.service.integral;

import com.iamberry.wechat.core.entity.integral.IntegralProductConvert;
import com.iamberry.wechat.face.integral.IntegralProductConvertService;
import com.iamberry.wechat.service.mapper.IntegralProductConvertMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  接口
 * @author ys
 * @Date 2018-04-28
 */
@Service
public class IntegralProductConvertServiceImpl  implements IntegralProductConvertService {
    @Autowired
    private IntegralProductConvertMapper integralProductConvertMapper;
    /**
     * 获取集合
     * @param  integralProductConvert
     * @return List
     */
    @Override
    public List<IntegralProductConvert> getIntegralProductConvertList(IntegralProductConvert  integralProductConvert){
        return  integralProductConvertMapper.getIntegralProductConvertList(integralProductConvert);
    }
    /**
     * 查询单条数据
     * @param  integralProductId
     * @return  integralProductConvert
     */
    @Override
    public  IntegralProductConvert  getIntegralProductConvertByProductId(Integer  integralProductId){
        return  integralProductConvertMapper.getIntegralProductConvertByProductId(integralProductId);
    }
    /**
     * 增加数据
     * @param  integralProductConvert
     * @return Integer
     */
    @Override
    public  Integer  save(IntegralProductConvert  integralProductConvert){
        return  integralProductConvertMapper.save(integralProductConvert);
    }
    /**
     * 修改数据
     * @param  integralProductConvert
     * @return Integer
     */
    @Override
    public  Integer  update(IntegralProductConvert  integralProductConvert){
        return  integralProductConvertMapper.update(integralProductConvert);
    }
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    @Override
    public  Integer  delete(Integer  id){
        return  integralProductConvertMapper.delete(id);
    }
}